#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Test harnesses and mock classes for GLib
Summary(pl.UTF-8):	Osprzęt testowy i klasy atrap dla GLiba
Name:		libglib-testing
Version:	0.1.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://gitlab.gnome.org/pwithnall/libglib-testing/-/tags
Source0:	https://gitlab.gnome.org/pwithnall/libglib-testing/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	99a196d66a49619dd698d49a304c1ba6
URL:		https://gitlab.gnome.org/pwithnall/libglib-testing
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gtk-doc
BuildRequires:	meson >= 0.45.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
Requires:	glib2 >= 1:2.44
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libglib-testing is a test library providing test harnesses and mock
classes which complement the classes provided by GLib. It is intended
to be used by any project which uses GLib and which wants to write
internal unit tests.

%description -l pl.UTF-8
libglib-testing to biblioteka do testów dostarczająca osprzęt testowy
oraz klasy atrap, uzupełniające klasy dostarczane przez GLiba. Celem
jest używanie w dowolnych projektach wykorzystujących GLiba, w których
mają być napisane wewnętrzne testy jednostkowe.

%package devel
Summary:	Header files for glib-testing library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki glib-testing
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44

%description devel
Header files for glib-testing library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki glib-testing.

%package static
Summary:	Static glib-testing library
Summary(pl.UTF-8):	Statyczna biblioteka glib-testing
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glib-testing library.

%description static -l pl.UTF-8
Statyczna biblioteka glib-testing.

%package apidocs
Summary:	API documentation for glib-testing library
Summary(pl.UTF-8):	Dokumentacja API biblioteki glib-testing
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for glib-testing library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki glib-testing.

%prep
%setup -q

%build
%meson \
	%{!?with_static_libs:--default-library=shared}

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libglib-testing-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglib-testing-0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglib-testing-0.so
%{_includedir}/glib-testing-0
%{_pkgconfigdir}/glib-testing-0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libglib-testing-0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libglib-testing
%changelog
* Thu Mar 20 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libglib-testing.git;a=log;h=master

* Thu Mar 20 2025 Jakub Bogusz <qboosh@pld-linux.org> d2a9cd1
- updated to 0.1.1

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9afe5cf
- unconditional noarch subpackages

* Thu Apr 30 2020 Jakub Bogusz <qboosh@pld-linux.org> a9394f6
- new

